/**
 *   carousel
 */
.carousel-inner {
    position: relative;
}

.carousel-item {
    position: absolute;
    width: 100%;
    height: 100%;
}

.carousel-item .carousel-item-img-bg {
    position: relative;
    width: 100%;
    height: 100%;
    background-repeat: repeat;
}

.carousel-item .carousel-item-img {
    position: relative;
    max-width: 100%;
    height: 100%;
    margin: 0 auto;
    background-position: center center;
    background-repeat: no-repeat;
}

.carousel.adjust-0 .carousel-item .carousel-item-img,
.carousel.adjust-2 .carousel-item .carousel-item-img {
    background-size: auto 100%;
}

.carousel.adjust-1 .carousel-item .carousel-item-img,
.carousel.adjust-3 .carousel-item .carousel-item-img {
    background-size: 100% auto;
}

@media (max-width: 991px) {
    .carousel.adjust-2 .carousel-item .carousel-item-img {
        background-size: 100% auto;
    }

    .carousel.adjust-3 .carousel-item .carousel-item-img {
        background-size: auto 100%;
    }
}


/* multi carousel - more items on one slide*/
.carousel.multi .item-row {
    height: 100%;
}

.carousel.multi .item-row .item-col {
    margin-bottom: 20px;
}

/* size of background image */
.carousel.multi .carousel-item .carousel-item-img {
    background-size: cover;
}

.carousel-item .carousel-item-img a {
    display: block;
    cursor: pointer;
    height: 100%;
    width: 100%;
}

.carousel-indicators {
    bottom: 10px;
}

.carousel-indicators li {
    cursor: pointer;
    height: 12px;
    width: 12px;
    background-color: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 50%;
    opacity: 1;
}

.carousel-indicators .active {
    background-color: #faa931;
}

.carousel-control-next,
.carousel-control-prev {
    z-index: 10;
}

.carousel .carousel-thumbs {
    position: absolute;
    z-index: 16;
    margin: 0;
    padding: 0;
}

.carousel .carousel-thumbs .carousel-thumb {
    border: 1px solid rgba(60, 60, 60, .3);
    background-color: #ffffff;
}

.carousel .carousel-thumbs .carousel-thumb:hover {
    border-color: rgba(60, 60, 60, .6);
}

.carousel.thumbs-type .carousel-thumbs {
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    list-style: none;
}

.carousel.thumbs-type-top .carousel-thumbs {
    width: 100%;
    height: 100px;
    left: 0;
    top: 10px;
}

.carousel.thumbs-type-right .carousel-thumbs {
    width: 100px;
    height: 100%;
    right: 0;
    top: 0;
    flex-direction: column;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
}

.carousel.thumbs-type-bottom .carousel-thumbs {
    width: 100%;
    height: 100px;
    left: 0;
    bottom: 10px;
}

.carousel.thumbs-type-left .carousel-thumbs {
    width: 100px;
    height: 100%;
    left: 0;
    top: 0;
    flex-direction: column;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
}

.carousel.thumbs-type-top .carousel-thumbs .carousel-thumb,
.carousel.thumbs-type-bottom .carousel-thumbs .carousel-thumb {
    position: relative;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.carousel.thumbs-type-right .carousel-thumbs .carousel-thumb,
.carousel.thumbs-type-left .carousel-thumbs .carousel-thumb {
    position: relative;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.carousel-control-prev-icon, .carousel-control-next-icon {
    position: relative;
    border: 1px solid #f0e4e4;
    background: #ffffff;
    color: #000000;
    padding: 0;
    height: 60px;
    width: 60px;
    line-height: 60px;
    font-size: 32px;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}

.carousel-control-prev-icon i, .carousel-control-next-icon i {
    position: absolute;
    top: 50%;
}

.carousel-control-prev-icon i {
    left: 50%;
    margin-left: -2px;
    transform: translate(-50%, -50%);
}

.carousel-control-next-icon i {
    right: 50%;
    margin-right: -2px;
    transform: translate(50%, -50%);
}

.carousel-control-next:focus, .carousel-control-next:hover, .carousel-control-prev:focus, .carousel-control-prev:hover {
    opacity: 1;
}

.carousel-control-next:focus .carousel-control-next-icon, .carousel-control-next:hover .carousel-control-next-icon,
.carousel-control-prev:focus .carousel-control-prev-icon, .carousel-control-prev:hover .carousel-control-prev-icon {
    background: #f5f6f8;
}

.carousel.thumbs-type-bottom .carousel-control-prev-icon,
.carousel.thumbs-type-bottom .carousel-control-next-icon {
    margin-top: -70px;
}

@media (max-width: 768px) {
    .carousel-control-prev-icon, .carousel-control-next-icon {
        height: 30px;
        line-height: 30px;
        width: 30px;
        font-size: 14px;
    }
}
